# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(Digest/MD5.pm) perl(Digest/SHA1.pm)
# END SourceDeps(oneline)
Name: roboptim-core
Version: 0.5
Release: alt1_6
Summary: The RobOptim core C++ library

Group: Development/C
License: LGPLv3+
URL: http://roboptim.sourceforge.net/
Source0: http://downloads.sourceforge.net/roboptim/%{name}-%{version}.tar.gz


BuildRequires: boost-devel boost-filesystem-devel boost-wave-devel boost-graph-parallel-devel boost-math-devel boost-mpi-devel boost-program_options-devel boost-signals-devel boost-intrusive-devel boost-asio-devel libltdl7-devel
# Require Doxygen and its dependencies.
BuildRequires: doxygen /usr/bin/latex texlive-latex-recommended /usr/bin/dvips texlive-generic-recommended
Source44: import.info


%description
RobOptim provide C++ numerical optimization libraries for robotics.
RobOptim core focuses on providing abstractions for optimization problem
definition and infrastructure to allow the use of existing solvers as
a back-end


%package devel
Summary: The Roboptim core headers and development-related files
Group: Development/C
Requires: %{name} = %{version}-%{release}
# pkg-config dependency is detected automatically on Fedora.
%description devel
Headers and shared object symlinks for the RobOptim core C++ library


%package doc
Summary: The RobOptim core documentation
Group: Documentation
Requires: %{name} = %{version}-%{release}
%description doc
Documentation for the RobOptim core library





%prep
%setup -q

%build
%configure --docdir=%{_docdir}/%{name}-%{version} --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

#FIXME: should libraries have version numbers or not?
# LDFLAGS="-avoid-version"
make %{?_smp_mflags}

%install
make install DESTDIR="$RPM_BUILD_ROOT" INSTALL="install -p"

# Install
install -cpm 644 AUTHORS COPYING THANKS README NEWS \
 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/

# Get rid of Libtool files as they should not be installed.
rm $RPM_BUILD_ROOT/%{_libdir}/*.la
rm $RPM_BUILD_ROOT/%{_libdir}/%{name}/*.la


%files
%dir %{_docdir}/%{name}-%{version}/

# for COPYING, INSTALL, AUTHORS, etc.
%{_docdir}/%{name}-%{version}/[A-Z]*

# versioned shared library
%{_libdir}/*.so.*

# package whole directory:
# ``.so'' file is also needed as ltdl_openext does not consider
# versioned plug-ins.
%{_libdir}/%{name}/
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files doc
%{_docdir}/%{name}-%{version}/doxygen-html/
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_6
- initial fc import

